import React from "react";
import Navbar1 from '../components/Elements/Navbar1';
import Footer from "../components/Elements/Footer";
import FAButton from '../components/Elements/FAButton';

const DetailBlog = () => {
    return (
        <>
        <Navbar1/>

        <section className="flex flex-col">
      {/* This section contains the article about gastritis and its related content. */}

      <div className="flex flex-col gap-y-[38px] mt-[54px] mr-[34px] ml-[31px]">
        {/* This is a flexible column layout container for the article content. */}

        <div className="w-[1137.9500732421875px] flex flex-col max-w-[85%] ml-0.5">
          {/* This container holds the main content of the article. */}

          <div className="flex flex-col bg-[rgba(0,0,0,0.8)] w-[210px] max-w-[85%]">
            {/* Wrapper for blog-related content. */}
            <p className="md:mt-2.5 md:mr-8 md:mb-2.5 md:ml-[30px] md:text-[16px] md:items-start xs:my-2.5 xs:mx-4 tn:my-2.5 tn:mx-2 flex justify-center font-semibold text-[18px] leading-normal font-Poppins text-white text-center tracking-[0.9px] w-36 h-[27px] max-w-[85%] mt-2.5 mr-9 mb-2.5 ml-[30px]">
              {/* Highlight section for blog updates. */}
              BLOG UPDATES
            </p>
          </div>

          <h1 className="md:text-[36px] md:items-start xxs:text-[32px] font-semibold text-[40px] leading-normal font-Poppins text-black tracking-[1.9px] mt-[45px]">
            {/* The main title of the article, expressed in h1 for SEO. */}
            Gastritis Medicine Gets Banned! What Will Happen?
          </h1>
          <p className="flex items-center mt-2.5">
            {/* Container for author information and publication date. */}
            <span className="font-medium text-[16px] leading-[2.18] font-Poppins text-black">
              <span className="font-medium">ADMIN ESKAYVIE </span>
              <span>- </span>
              <span className="text-[rgb(128,128,128)]">JANUARY 16, 2023</span>
            </span>
          </p>
        </div>

        <div className="tn:gap-y-[50px] flex flex-col items-center gap-y-[70px]">
          {/* Container for image content aligned with the article. */}
          <img
            className="w-[99.85%] object-cover"
            src={'public/image/Rectangle107.png'}
            alt="alt text"
          />
          {/* Image representing the blog article. */}
          <h2 className="flex items-center w-[97.6%]">
            {/* Contains subtitles related to gastritis. */}
            <span className="font-normal text-[27px] leading-[1.51] font-Poppins text-black tracking-[0.81px] md:text-[24px] xxs:text-[22px]">
              <span>
                Wow, many people panicked when the popular gastritis medicine was banned!
                <br />
                <br />
                {`Don't panic! Here is a solution that can be practiced. Before that, why don't we first know what gastritis is.
`}
                <br />
                <br />
              </span>
              <span className="font-bold">
                What is Gastritis?
                <br />
              </span>
              <span>
                <br />
                Many also call it by the name gastric. That is incorrect because gastric means stomach. Gastritis means
                inflammation of the stomach. Many suffer from this problem and some of them do not even know if they
                have a serious gastritis problem or not.
                <br />
                <br />
              </span>
              <span className="font-bold">
                Why does this gastritis happen?
                <br />
              </span>
              <span>
                <br />
                {`This is because the stomach has hydrochloric acid (pH 1). The irony is that if you put your hand in your stomach a few times and take your hand out, all that's left is bone. How strong is the acid?`}
                <br />
                <br />
                And actually humans need hydrochloric acid as a 1st line defense. When eating contaminated food, it can
                be digested with acid. However, there are still germs that can survive!
                <br />
                <br />
                This acid is very important to help certain enzymes digest proteins. And usually, it is needed to digest
                meat.
                <br />
                <br />
                {`But why isn't the human stomach flesh destroyed?
`}
                <br />
                <br />
                This is because on the surface of the human stomach, it has a mucosal lining or called mucus that is
                rich in bicarbonate that can neutralize acid and further protect the surface of the human stomach.
              </span>
            </span>
          </h2>
        </div>
      </div>
    </section>

    <section className="flex flex-col">
      {/* Main section providing information about gastritis including causes, symptoms, treatment, and alternatives. */}

      <div className="tn:mt-[50px] tn:mx-auto tn:mb-12 tn:gap-y-[50px] w-[95.76%] flex flex-col gap-y-[70px] max-w-[1379px] mt-[67px] mx-auto mb-12">
        {/* Container for flex layout to organize the content in two columns. */}

        <div className="tn:gap-y-[50px] flex flex-col items-center gap-y-[70px]">
          {/* Column displaying information about the symptoms of gastritis. */}
          <img className="w-full object-cover" src={'../public/image/Rectangle106.png'} alt="alt text" />
          <span className="flex items-center w-[98.84%]">
            {/* Detailed description about gastritis and its relation to GERD. */}
            <span className="font-normal text-[27px] leading-[1.51] font-Poppins text-black tracking-[0.81px] md:text-[24px] xxs:text-[22px]">
              <span>
                {`However, if the mucus is infected, the acid will seep through and cause inflammation of the stomach. That's where the problem of gastritis begins.`}
                <br />
                <br />
                It is also related to what is referred to as GERD (Gastroesophageal Reflux Disease). GERD is a condition
                where the acid level rises and if left untreated can increase the risk of cancer. Therefore, it is
                recommended that those with GERD problems abstain from spicy foods, caffeine, mint, citrus fruits, foods
                that are slow to digest (high in fat) and also avoid STRESS!
                <br />
                <br />
              </span>
              <span className="font-bold">
                SYMPTOMS Gastritis
                <br />
                <br />
              </span>
              <span>
                1) Feeling hungry quickly even after just eating.
                <br />
                2) When eating spicy food, it will be easy to feel heartburn.
                <br />
                3) Feeling tired and lethargic.
                <br />
                4) Feeling bloated.
                <br />
                5) Uncomfortable breathing and shortness of breath.
                <br />
                6) Pain in the neck that leads to the back.
                <br />
                <br />
              </span>
              <span className="font-bold">
                DANGER Gastritis is not treated
                <br />
                <br />
              </span>
              <span>
                It cannot be left like that. This is because untreated gastritis can cause the surface of the stomach to
                begin to erode and then cause stomach cells to be injured. It will lead to another problem which is
                stomach ulcer (gastric ulcer).
                <br />
                <br />
                Add to the danger when the wound hits a blood vessel that can cause serious bleeding in the stomach. Can
                cause vomiting of blood and stools will start to be black and reddish in color. The blood pressure will
                be low and the affected individual will need to undergo surgery immediately. In fact, there are also
                more serious conditions when the ulcer penetrates the stomach causing the contents to come out
                (peritonitis = inflammation in the stomach) and it requires emergency treatment.
                <br />
                <br />
              </span>
              <span className="font-bold">TREATMENT Gastritis</span>
            </span>
          </span>
        </div>

        <div className="flex flex-col items-center gap-y-[50px]">
          {/* Column providing information on treatment options for gastritis. */}
          <img className="w-full object-cover" src={'../public/image/Rectangle108.png'} alt="alt text" />
          <span className="md:items-start w-[99.13%]">
            {/* Detailed description of treatment options including medications and alternatives. */}
            <span className="font-normal text-[27px] leading-[1.51] font-Poppins text-black tracking-[1.35px] md:text-[24px] xxs:text-[22px]">
              <span>
                Usually two materials will be given which are;
                <br />
              </span>
              <span className="font-bold">
                <br />
                1) Antacids
                <br />
              </span>
              <span>
                <br />
                For example such as lime medicine which is high in calcium, aluminum or magnesium. It will always be
                combined with H2 antihistamines, receptor antagonists. Usually used for sinus and also flu. This H2
                receptor is responsible for secreting acid content in the stomach.
                <br />
                <br />
                You may also be given Tagamet (Cimetidine), but it has an anti-androgenic effect which is to stimulate
                the production of prolactin if eaten for a long period of time. The effect on men is to grow breasts and
                on women it stimulates the production of body milk.
                <br />
                <br />
              </span>
              <span className="font-bold">
                2) Zantac or Ranitidine
                <br />
              </span>
              <span>
                <br />
                There was a time when this medicine went viral because it was said that Ranitidine from Malaysia was
                contaminated by NDMA (N-Nitrosodimethylamine). Is it dangerous?
                <br />
                <br />
                NDMA is ubiquitous. For example air pollution, cigarette smoke, contaminated drinks, food especially
                preserved meat, found in cheese, fish, detergents and cosmetic ingredients. Sometimes, NDMA is also
                found in the air, in cars. For this reason, when entering the car before opening the air conditioner,
                open the window first to remove the polluted air.
                <br />
                <br />
                The danger of this substance is that it has been found to cause cancer, birth defects and the risk of
                DNA mutation. And it is in our environment.
                <br />
                <br />
              </span>
              <span className="font-bold">
                What to do?
                <br />
              </span>
              <span>
                <br />
                Can use antacids or Famotidine (which does not belong to Ranitidine). In addition, you can also use
                Proton Pump Inhibitors which can stop acid secretion. However, it should not be used for a long time
                because it has side effects such as increasing the risk of cancer, senility, osteoporosis, dangerous
                bacterial infections, Chronic Kidney Disease (CKD) if taken chronically and can disturb the balance of
                electrolytes in the body. Avoid using gastritis medicine continuously.
                <br />
                <br />
              </span>
              <span className="font-bold">
                ALTERNATIVE treats Gastritis other than medicine
                <br />
                <br />5 important tips for you:
                <br />
                <br />
                {`1) Identify the cause & avoid it`}
              </span>
            </span>
          </span>
        </div>
      </div>
    </section>

    <section className="flex flex-col">
      {/* This section provides guidelines on avoiding gastritis triggers and promoting digestive health. */}

      <div className="tn:gap-y-[50px] w-[95.76%] flex flex-col gap-y-[57px] max-w-[1379px] mx-auto mb-7">
        {/* Container for flexible column layout of health tips. */}
        <img className="w-full object-cover" src={'public/image/Rectangle109.png'} alt="alt text" />
        <h2 className="md:items-start">
          <span className="font-normal text-[27px] leading-[1.51] font-Poppins text-black tracking-[1.35px] md:text-[24px] xxs:text-[22px]">
            <span>
              - Avoid prolonged stress.
              <br />
              - Avoid smoking.
              <br />
              - Avoid spicy food. In Indonesia, many of its people suffer from stomach problems because they often eat
              spicy foods and almost all their dishes are spicy.
              <br />
              - Avoid sour foods and have pepper/chili.
              <br />
              - Avoid high fat foods.
              <br />
              - Avoid fried foods because fried foods contain AGEs (Advanced Glycation End Products). AGEs will cause
              inflammation.
              <br />
              - Foods and drinks high in caffeine, chocolate and fizzy.
              <br />
              - Medicines also cause gastritis. Among the popular drugs that cause gastritis are pain relievers,
              antibiotic drugs and steroids.
              <br />
              - Food patterns also affect especially those with sensitive stomach problems.
              <br />
              - Auto-immune problems such as SLE (Systemic Lupus Erythematosus), rheumatoid arthritis and psoriasis.
              <br />
              - Some are also caused by a bacterial infection which is Helicobacter pylori. This needs to go to the clinic
              for treatment.
              <br />
              <br />
            </span>
            <span className="font-bold">
              2) Make sure not to be constipated
              <br />
            </span>
            <span>
              <br />
              When you have digestive problems, it will cause wind. It is recommended to eat a lot of vegetables. A high
              intake of fiber can help reduce the risk of stomach ulcers by up to 60%
              <br />
              <br />
            </span>
            <span className="font-bold">
              3) Food
              <br />
            </span>
            <span>
              <br />
              - Practice consuming foods that contain probiotics such as yogurt and kimchi.
              <br />
              - Eat foods that are low in fat such as fish and chicken breast.
              <br />
              - Bananas are very effective because they can overcome inflammation.
              <br />
              - Take anti-inflammatory foods that can fight oxidative stress, which are foods that contain flavonoids such
              as grapes, berries, green tea, broccoli and cranberries.
              <br />
              - Honey is also encouraged because it contains phytonutrients that are anti-inflammatory.
              <br />
              - Garlic intake is also recommended to fight Helicobacter Pylori.
              <br />
              - Ginger and turmeric are also very nutritious.
              <br />
            </span>
            <span className="font-bold">
              .<br />
              4) Exercise/dietary pattern
              <br />
            </span>
            <span>
              <br />
              - Exercise can increase happy hormones and relieve stress.
              <br />
              - Avoid an empty stomach and eat little but often.
              <br />
              - Avoid lying down right after eating as it can cause GERD.
              <br />
              - It is recommended to walk for 5-10 minutes after eating.
              <br />
              - Avoid eating 3-4 hours before going to bed.
              <br />
              <br />
            </span>
            <span className="font-bold">
              5) AstaREAL P2AF
              <br />
            </span>
            <span>
              <br />
              AstaREAL P2AF can treat and prevent ulcers caused by Helicobacter pylori bacteria. It is recommended to
              combine the intake of AstaREAL P2AF with collagen because collagen is able to repair and strengthen
              damaged stomach cells and reduce the production of acid in the stomach. And make sure to drink enough
              plain water.
              <br />
              {`Was this sharing useful for you? If so, don't forget to share it with your friends.`}
            </span>
          </span>
        </h2>
      </div>
    </section>

        <Footer/>
        <FAButton/>
        </>
    );
}

export default DetailBlog;