import React from "react";
import Navbar1 from "../components/navbar1";
import Footer from "../components/Elements/Footer";

const Srr = () => {
  return (
    <>
      <Navbar1 />
      <div className="px-4 py-8 max-w-7xl mx-auto sm:px-6 lg:px-8 font-sans">
        <h1 className="text-2xl sm:text-3xl font-extrabold text-center mb-6">Shipping, Return & Refund</h1>

        <hr className="mb-6" />
        
        <h2 className="text-xl sm:text-2xl font-semibold text-gray-800 mb-4">Purchase Terms and Conditions</h2>
        <section className="mb-8 ml-2 sm:ml-5">
          <p className="mb-4 text-sm sm:text-base">Dear valued customers, please read and understand the following terms and conditions before purchasing Eskayvie products. By completing a purchase, you agree to these terms and conditions without coercion from any party.</p>
          
          <ol className="list-decimal pl-5 text-sm sm:text-base">
            <li className="mb-2">All purchased products are non-returnable unless negligence occurs...</li>
            <li className="mb-2">No refund guarantee will be provided after the purchase, as stated in clause (1). In the event of our negligence, the product will be replaced upon receiving proof (either images or the actual product).</li>
            <li className="mb-2">All transactions are in Malaysian Ringgit (RM) only.</li>
            <li className="mb-2">Ensure that the name, address, postcode, quantity, and product name are filled in correctly. We are not responsible for any mistakes made during the purchase order.</li>
            <li className="mb-2">After payment, customers are not allowed to cancel any made orders.</li>
            <li className="mb-2">All products are guaranteed to be in good condition before being sent to the customer.</li>
            <li className="mb-2">If a refund is required, please provide payment details to customercare@eskayvie.com. The refund process will take 1 to 2 weeks from the business day.</li>
          </ol>
          <hr className="mt-6" />
        </section>
        
        <h2 className="text-xl sm:text-2xl font-semibold text-gray-800 mb-4">Return/Product Replacement Policy</h2>
        <section className="mb-8 ml-2 sm:ml-5">   
          <p className="mb-4 text-sm sm:text-base">Damaged Goods, Claims, and Product Replacement</p>
          <ol className="list-decimal pl-5 text-sm sm:text-base">
            <li className="mb-2">Contact Eskayvie via customer service at 03-5511 1050 or email customercare@eskayvie.com.</li>
            <li className="mb-2">Eskayvie operates every Monday - Friday from 9:00 am to 6:00 pm.</li>
          </ol>
        </section>

        <hr className="mt-6" />
        
        <h2 className="text-xl sm:text-2xl font-semibold text-gray-800 mb-4 p-2">Shipping Information</h2>
        <section className="mb-8 ml-2 sm:ml-5">
          <ol className="list-decimal pl-5 text-sm sm:text-base">
            <li className="mb-2">We accept MasterCard, Visa, and online bank transfers provided by the online payment system.</li>
            <li className="mb-2">Eskayvie does not impose any charges for credit card usage; charges are subject to the bank you use.</li>
            <li className="mb-2">The personal information you provide is handled securely.</li>
            <li className="mb-2">Online personal and credit card details are confidential and hidden within codes to prevent unauthorized access.</li>
            <li className="mb-2">Automatic confirmation will be sent to you via the registered email.</li>
            <li className="mb-2">Courier service is available for Peninsular Malaysia, including Sabah and Sarawak.</li>
            <li className="mb-2">Delivery Date & Time is 3 working days (1-day preparation plus 2 days delivery) for Peninsular Malaysia and 4 working days for Sabah and Sarawak.</li>
            <li className="mb-2">If the purchase date falls on a Sunday or Public Holiday, delivery will be made on the next business day.</li>
            <li className="mb-2">Ensure that the provided name, address, and phone number are valid. If the customer is not at the given address, they are required to collect the goods at the respective courier service hub/office.</li>
            <li className="mb-2">SHIPPING CHARGES a. Courier charges of RM10 will be imposed for shipping costs below RM200.</li>
            <li className="mb-2">For Cash On Delivery (COD), appointments must be made at least 24 hours before the delivery time to avoid any issues.</li>
            <li className="mb-2">Customers are also advised to read every product disclaimer, as each product has different harmonizing effects on individuals.</li>
            <li className="mb-2">All customer personal information will be stored for future reference and is considered confidential.</li>
            <li className="mb-2">We reserve the right to change prices, products, product details, and special offers at any time and at our discretion without notice to customers.</li>
            <li className="mb-2">When you place an online order, an email will be sent to confirm the shipment of your order within 24 hours on a business day.</li>
            <li className="mb-2">After the logistics process is complete, the consignment number will be sent to your email.</li>
          </ol>
          <p className="mb-4 text-sm sm:text-base">If you do not receive the confirmation email within this timeframe, please contact us through customer service at 03-5511 1050 (Monday - Friday: 9 a.m - 6 p.m).</p>
        </section>

        <hr className="mt-6" />
        
        <h2 className="text-xl sm:text-2xl font-semibold text-gray-800 mb-4 p-2">Refund Policy</h2>
        <section className="mb-8 ml-2 sm:ml-5">
          
          <p className="mb-3 text-sm sm:text-base">We have a 48-hour return policy for all product or service-related issues, which means you have 48 hours from the time of receiving your item or service to request a return or refund.</p>
  
          <h3 className="text-lg sm:text-xl font-bold text-gray-800 mb-2">Damages and issues</h3>
          <p className="mb-3 text-sm sm:text-base">Please inspect your order or service upon receipt and contact us immediately if the item is defective, damaged, or if you receive the wrong item or encounter any issues. We will evaluate the problem and make it right within 3 working days.</p>
  
          <h3 className="text-lg sm:text-xl font-bold text-gray-800 mb-2">Lodging an Official Complaint</h3>
          <p className="mb-3 text-sm sm:text-base">If you need to lodge an official complaint, please do so by visiting <a href="https://bit.ly/aduaneskayvie" className="text-blue-600 underline">https://bit.ly/aduaneskayvie</a>. We will respond to your request within 14 working days.</p>
  
          <h3 className="text-lg sm:text-xl font-bold text-gray-800 mb-2">Exchanges</h3>
          <p className="mb-3 text-sm sm:text-base">The fastest way to ensure you get what you want is to return the item you have. Please place the products back in the original box and use the provided courier cover for our courier partner to recollect from your delivery address. Once the return is accepted and confirmed, we will promptly resend the replacement of the damaged product.</p>
  
          <h3 className="text-lg sm:text-xl font-bold text-gray-800 mb-2">Refunds</h3>
          <p className="mb-3 text-sm sm:text-base">We will notify you within 48 hours once we’ve received and inspected your return or processed your refund request and let you know if the refund was approved or not. If approved, you’ll be automatically refunded on your original payment method. Please remember it can take some time for your bank or credit card company to process and post the refund too.</p>
        </section>
      </div>
      <Footer />
    </>
  );
}

export default Srr;
